Rapida
======
[![Build Status](http://drone.vilor.one/api/badges/Rapida/rapida/status.svg)](http://drone.vilor.one/Rapida/rapida)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[Documentation](http://rapida.vilor.one/docs)

Web framework written in C and C++.

Dependencies
------------
* mongoose (if you need a TCP server)
* libfcgi (if you need a FastCGI server)
* doxygen (to make docs)
* catch2 (to run tests)

Installation
------------
You need:
* GNU Make
* C compiler with C99 support
* C++ compiler with C++98 and C++17 support

```sh
make install clean
```
Run `make help` to see targets, flags and arguments.

Examples
--------
See [examples](examples).

License
-------
GPLv3 or later. See full text in the [COPYING](COPYING) file
or in GNU website: https://www.gnu.org/licenses/gpl-3.0-standalone.html
