/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright 2022 Ivan Polyakov */

#include "route.h"

int rpd_route_init(rpd_route *dest, const char *path, rpd_route_cb cb,
    void *userdata)
{
    rpd_url url;
    if (rpd_url_parse(&url, path)) {
        return 1;
    }

    dest->path = url;
    dest->cb = cb;
    dest->userdata = userdata;

    return 0;
}
