Examples
========
This example shows how to use a simple _rpd_ application with NGINX.

NGINX configuration
-------------------
In the location you want to process with rpd, provide the following lines:

```nginx
fastcgi_pass unix: /tmp/rpd.example.sock;
include fastcgi_params;
```

Where `/tmp/rpd.example.sock` is the UNIX socket you passed
to the rpd_app instance and fastcgi_params is the list
of variables that NGINX passes through the FastCGI protocol.

See examples:
* [example-site.nginx.conf](example-site.nginx.conf)
* [fastcgi_params](fastcgi_params)
