/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright 2022 Ivan Polyakov */

#include "Request.hxx"

using namespace rpd;

const char *Request::header(const char *key) const
{
    rpd_keyval_item *hi = rpd_keyval_find(&req->headers, key);
    return hi ? hi->val : NULL;
}
